# 使用一个基础镜像
#FROM openjdk:11-jre-slim
FROM registry.t-aaron.com/tuoheng/centos:base
USER th
# 定义构建参数
ARG SW_APP_NAME
ARG SW_SKY_AOP
# 设置工作目录
WORKDIR /data/java/tuoheng
COPY apache-skywalking-java-agent-9.0.0.tgz  .
RUN  tar -zxvf apache-skywalking-java-agent-9.0.0.tgz
#复制应用程序到容器中
COPY tuoheng.jar .
# 设置环境变量
ENV PATH="/usr/java/jdk/bin:${PATH}"
ENV SW_AGENT_COLLECTOR_BACKEND_SERVICES="${SW_SKY_AOP}" \
    SW_AGENT_NAME="${SW_APP_NAME}"
#暴露应用程序的端口
#EXPOSE 8090
# 运行应用程序
ENTRYPOINT ["java", "-Dfile.encoding=UTF-8", \
    "-javaagent:/data/java/tuoheng/skywalking-agent/skywalking-agent.jar", \
    "-Dskywalking.agent.service_name=${SW_APP_NAME}", \
    "-Dskywalking.collector.backend_service=${SW_SKY_AOP}", \
    "-Dskywalking.agent.instance_name=${SW_APP_NAME}", \
    "-jar", "tuoheng.jar"]
                                                                                                                                                                                                                                                                                                                                                                                            